Subject: Re: bug#71408: Request for merging "python-team" branch

From: Sharlatan Hellseher <[email-masked]>
Date: Sat, 8 Jun 2024 22:04:10 +0100

Hi,

All failed tests have the same reason:

--8<---------------cut here---------------start------------->8---
        adapter = requests.adapters.HTTPAdapter(
>           max_retries=Retry(
                total=total,
                backoff_factor=0.1,
                status_forcelist=[500],
                method_whitelist=["GET", "POST", "PATCH"],
                raise_on_status=raise_on_status,
            )
        )
E       TypeError: Retry.__init__() got an unexpected keyword argument
'method_whitelist'
--8<---------------cut here---------------end--------------->8---

It looks like the bump to the latest version would resolve it 0.22.0 -> 0.25.2

--8<---------------cut here---------------start------------->8---
guix refresh --list-dependent python-responses
Building the following 198 packages would ensure 456 dependent
packages are rebuilt: <...>
--8<---------------cut here---------------end--------------->8---

There are some mentioned in GitHub issues with the same simptoms:
https://github.com/GeneralMills/pytrends/issues/591
https://github.com/jamalex/notion-py/issues/386

On Sat, 8 Jun 2024 at 15:27, Ludovic Courtès <[email-masked]> wrote:
>
> Hello,
>
> (Cc’ing the Python team.)
>
> Christopher Baines <[email-masked]> skribis:
>
> > I haven't been involved in this branch, but I'm opening the request for
> > merge issue just to keep track of things.
>
> I haven’t been involved either.  My understanding is that the main
> blocker before merging is assessing the amount of breakage introduced in
> this branch¹.
>
> Right now it’s built at 89% on x86_64-linux only, which is a bit less
> than on ‘master’ but there are still pending builds.  Interested readers
> can browse failed builds at:
>
>   https://ci.guix.gnu.org/eval/latest/dashboard?spec=python-team
>
> (If you find builds that failed due to transient errors like the
> infamous “missing derivation”, you can click on “Action -> Restart”—this
> is now available in most cases without privileges.)
>
> An important issue seems to be test failures of ‘python-responses’:
>
>   https://ci.guix.gnu.org/build/4738398/details
>
> Excerpt:
>
> --8<---------------cut here---------------start------------->8---
> =========================== short test summary info ============================
> FAILED responses/tests/test_responses.py::test_auto_calculate_content_length_doesnt_override_existing_value
> FAILED responses/tests/test_responses.py::TestMaxRetry::test_max_retries - Ty...
> FAILED responses/tests/test_responses.py::TestMaxRetry::test_max_retries_exceed[True]
> FAILED responses/tests/test_responses.py::TestMaxRetry::test_max_retries_exceed[False]
> FAILED responses/tests/test_responses.py::TestMaxRetry::test_max_retries_exceed_msg
> FAILED responses/tests/test_responses.py::TestMaxRetry::test_adapter_retry_untouched
> ============ 6 failed, 187 passed, 2 skipped, 20 warnings in 21.86s ============
> --8<---------------cut here---------------end--------------->8---
>
> Ideas, Pythonistas?  :-)
>
> Ludo’.
>
> ¹ https://lists.gnu.org/archive/html/guix-devel/2024-05/msg00227.html

-- 
VCS: https://github.incerto.xyz/; https://git.sr.ht/~hellseher/
GPG: 9847 81DE 689C 21C2 6418 0867 76D7 27BF F62C D2B5

… наш разум - превосходная объяснительная машина которая способна
найти смысл почти в чем угодно, истолковать любой феномен, но
совершенно не в состоянии принять мысль о непредсказуемости.